PETSc version 3.15.5
Fix/Edit manual page

# DMPlexSetCone

Set the points on the in-edges for this point in the DAG; that is these are the points that cover the specific point

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetCone(DM dm, PetscInt p, const PetscInt cone[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()
| cone | - An array of points which are on the in-edges for point p

### Output Parameter

### Note

This should be called after all calls to DMPlexSetConeSize() and DMSetUp().

Developer Note: Why not call this DMPlexSetCover()

### See Also

DMPlexCreate(), DMPlexGetCone(), DMPlexSetChart(), DMPlexSetConeSize(), DMSetUp(), DMPlexSetSupport(), DMPlexSetSupportSize()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages